var RefDate = function()
{
	var rf = {};
	var debug = 0;
	

	rf.initPage = function()
	{
		// Navigation
		Buttons.addClickHandler('gocancel', Wizard.cancelWizard);
		Buttons.addClickHandler('gorestart', Wizard.restartWizard);
		Buttons.addClickHandler('goupdate', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', rf.submit);

		Doc.show('step-1');
		Doc.show('goupdate');
	}
	
	
	rf.submit = function()
	{
		// Get permission information
		var url = '../ReferenceDate.servlet?ID='+App.getSessionId();
		url += '&cmd=UpdateAllReferenceDateAnnotations';
		
		Wizard.showLoadingAnimation('Updating ReferenceDate and LinkedCase annotations...', 'ref-date-progress');
		Wizard.asyncJsonRequest(url, rf.refDateDone, 'POST');
	}
	
	rf.refDateDone = function(response)
	{
		for (var c = 0; c < response.counters.length; c++)
		{
			var counter = response.counters[c];
			var name = counter.name || 'novalue';
			Doc.element(name + '-before').innerHTML = counter.before;
			Doc.element(name + '-after').innerHTML = counter.after;
		}
		
		Wizard.showFinalMessage(response.messages);
		
		Doc.show('update-results');
		Doc.show('gorestart');
	}

	return rf;
}();

Doc.onLoad(RefDate.initPage);

